<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [AutocompleteData](./bitburner.autocompletedata.md)

## AutocompleteData interface

Used for autocompletion

**Signature:**

```typescript
interface AutocompleteData 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [scripts](./bitburner.autocompletedata.scripts.md) |  | string\[\] |  |
|  [servers](./bitburner.autocompletedata.servers.md) |  | string\[\] |  |
|  [txts](./bitburner.autocompletedata.txts.md) |  | string\[\] |  |

## Methods

|  Method | Description |
|  --- | --- |
|  [flags(schema)](./bitburner.autocompletedata.flags.md) |  |

